Mailing List Archive

Apache 2.4.39 upgrade issue
Hello Team,

We have Cakn application which use mod_WSGi module for calling python web
interpreter same s is working fine on apache 2.4.18 on *Ubuntu 16.04* , now
internal security team has notified us to upgrade Apache with 2.4.39.

when i did "*apt-cache policy Apache"* its shows installed & candidate
version same i.e *2.4.18*, so i added repo *add-apt-repository
ppa:ondrej/apache2 *and upgraded to 2.4.39 .
after upgrading same site stops working and shows below errors in
error.log and application specific logs.

1. *apache error log*


*[Tue Jun 25 04:55:53.629701 2019] [core:notice] [pid 30009:tid
139990993176448] AH00051: child pid 30010 exit signal Segmentation fault
(11), possible coredump in /etc/apache2[Tue Jun 25 05:37:31.301667 2019]
[core:notice] [pid 30009:tid 139990993176448] AH00051: child pid 30221 exit
signal Segmentation fault (11), possible coredump in /etc/apache*2

1. *2application error log*




*[Tue Jun 25 05:37:30.752801 2019] [wsgi:error] [pid 30221:tid
139990869788416] 2019-06-25 05:37:30,752 INFO [ckan.config.environment]
Loading static files from public[Tue Jun 25 05:37:30.821160 2019]
[wsgi:error] [pid 30221:tid 139990869788416] 2019-06-25 05:37:30,821 INFO
[ckan.config.environment] Loading templates from
/usr/lib/ckan/default/src/ckan/ckan/templates[Tue Jun 25 05:37:30.978364
2019] [wsgi:error] [pid 30014:tid 139990768023296] [client
106.220.190.162:8293 <http://106.220.190.162:8293>] Truncated or oversized
response headers received from daemon process 'ckan_default':
/etc/ckan/default/apache.wsgi*







--
Regards
Nitin Kadam
(9967688959)
Re: Apache 2.4.39 upgrade issue [ In reply to ]
also disabling mod_ssl with a2dismod SSL site starts working on HTTP
(disabling SSL engine off in Vhost and port change to 80).
if enable again its stops site on HTTP as well and doesn't start on https
if we add ssl engine on and port 443.

On Tue, Jun 25, 2019 at 11:58 AM Nitin Kadam <nitinkadam1982@gmail.com>
wrote:

> Hello Team,
>
> We have Cakn application which use mod_WSGi module for calling python web
> interpreter same s is working fine on apache 2.4.18 on *Ubuntu 16.04* ,
> now internal security team has notified us to upgrade Apache with 2.4.39.
>
> when i did "*apt-cache policy Apache"* its shows installed & candidate
> version same i.e *2.4.18*, so i added repo *add-apt-repository
> ppa:ondrej/apache2 *and upgraded to 2.4.39 .
> after upgrading same site stops working and shows below errors in
> error.log and application specific logs.
>
> 1. *apache error log*
>
>
> *[Tue Jun 25 04:55:53.629701 2019] [core:notice] [pid 30009:tid
> 139990993176448] AH00051: child pid 30010 exit signal Segmentation fault
> (11), possible coredump in /etc/apache2[Tue Jun 25 05:37:31.301667 2019]
> [core:notice] [pid 30009:tid 139990993176448] AH00051: child pid 30221 exit
> signal Segmentation fault (11), possible coredump in /etc/apache*2
>
> 1. *2application error log*
>
>
>
>
> *[Tue Jun 25 05:37:30.752801 2019] [wsgi:error] [pid 30221:tid
> 139990869788416] 2019-06-25 05:37:30,752 INFO [ckan.config.environment]
> Loading static files from public[Tue Jun 25 05:37:30.821160 2019]
> [wsgi:error] [pid 30221:tid 139990869788416] 2019-06-25 05:37:30,821 INFO
> [ckan.config.environment] Loading templates from
> /usr/lib/ckan/default/src/ckan/ckan/templates[Tue Jun 25 05:37:30.978364
> 2019] [wsgi:error] [pid 30014:tid 139990768023296] [client
> 106.220.190.162:8293 <http://106.220.190.162:8293>] Truncated or oversized
> response headers received from daemon process 'ckan_default':
> /etc/ckan/default/apache.wsgi*
>
>
>
>
>
>
>
> --
> Regards
> Nitin Kadam
> (9967688959)
>


--
Regards
Nitin Kadam
(9967688959)
Re: Apache 2.4.39 upgrade issue [ In reply to ]
Team awaiting for your response my production server is having this issue.

On Tue, Jun 25, 2019 at 12:31 PM Nitin Kadam <nitinkadam1982@gmail.com>
wrote:

> also disabling mod_ssl with a2dismod SSL site starts working on HTTP
> (disabling SSL engine off in Vhost and port change to 80).
> if enable again its stops site on HTTP as well and doesn't start on https
> if we add ssl engine on and port 443.
>
> On Tue, Jun 25, 2019 at 11:58 AM Nitin Kadam <nitinkadam1982@gmail.com>
> wrote:
>
>> Hello Team,
>>
>> We have Cakn application which use mod_WSGi module for calling python web
>> interpreter same s is working fine on apache 2.4.18 on *Ubuntu 16.04* ,
>> now internal security team has notified us to upgrade Apache with 2.4.39.
>>
>> when i did "*apt-cache policy Apache"* its shows installed & candidate
>> version same i.e *2.4.18*, so i added repo *add-apt-repository
>> ppa:ondrej/apache2 *and upgraded to 2.4.39 .
>> after upgrading same site stops working and shows below errors in
>> error.log and application specific logs.
>>
>> 1. *apache error log*
>>
>>
>> *[Tue Jun 25 04:55:53.629701 2019] [core:notice] [pid 30009:tid
>> 139990993176448] AH00051: child pid 30010 exit signal Segmentation fault
>> (11), possible coredump in /etc/apache2[Tue Jun 25 05:37:31.301667 2019]
>> [core:notice] [pid 30009:tid 139990993176448] AH00051: child pid 30221 exit
>> signal Segmentation fault (11), possible coredump in /etc/apache*2
>>
>> 1. *2application error log*
>>
>>
>>
>>
>> *[Tue Jun 25 05:37:30.752801 2019] [wsgi:error] [pid 30221:tid
>> 139990869788416] 2019-06-25 05:37:30,752 INFO [ckan.config.environment]
>> Loading static files from public[Tue Jun 25 05:37:30.821160 2019]
>> [wsgi:error] [pid 30221:tid 139990869788416] 2019-06-25 05:37:30,821 INFO
>> [ckan.config.environment] Loading templates from
>> /usr/lib/ckan/default/src/ckan/ckan/templates[Tue Jun 25 05:37:30.978364
>> 2019] [wsgi:error] [pid 30014:tid 139990768023296] [client
>> 106.220.190.162:8293 <http://106.220.190.162:8293>] Truncated or oversized
>> response headers received from daemon process 'ckan_default':
>> /etc/ckan/default/apache.wsgi*
>>
>>
>>
>>
>>
>>
>>
>> --
>> Regards
>> Nitin Kadam
>> (9967688959)
>>
>
>
> --
> Regards
> Nitin Kadam
> (9967688959)
>


--
Regards
Nitin Kadam
(9967688959)
Re: Re: Apache 2.4.39 upgrade issue [ In reply to ]
Nitin,

to analyse such a problem, it is helpful to provide stack traces of the segmentation faults you are seeing. This may make clear where the problem is. See https://httpd.apache.org/dev/debugging.html for help on this.

If the crash is in your mod_WSGi, you would need to contact the maintainer of that module about this. If the crash happens on a system without "foreign" modules, you could provide us with a minimal configuration that reproduces the error.

If you can do that, it is probably best to open an issue with all data attached in our bug tracking system.

Best Regards,

Stefan

> Am 25.06.2019 um 17:27 schrieb Nitin Kadam <nitinkadam1982@gmail.com>:
>
> Team awaiting for your response my production server is having this issue.
>
> On Tue, Jun 25, 2019 at 12:31 PM Nitin Kadam <nitinkadam1982@gmail.com> wrote:
> also disabling mod_ssl with a2dismod SSL site starts working on HTTP (disabling SSL engine off in Vhost and port change to 80).
> if enable again its stops site on HTTP as well and doesn't start on https if we add ssl engine on and port 443.
>
> On Tue, Jun 25, 2019 at 11:58 AM Nitin Kadam <nitinkadam1982@gmail.com> wrote:
> Hello Team,
>
> We have Cakn application which use mod_WSGi module for calling python web interpreter same s is working fine on apache 2.4.18 on Ubuntu 16.04 , now internal security team has notified us to upgrade Apache with 2.4.39.
>
> when i did "apt-cache policy Apache" its shows installed & candidate version same i.e 2.4.18, so i added repo add-apt-repository ppa:ondrej/apache2 and upgraded to 2.4.39 .
> after upgrading same site stops working and shows below errors in error.log and application specific logs.
> • apache error log
> [Tue Jun 25 04:55:53.629701 2019] [core:notice] [pid 30009:tid 139990993176448] AH00051: child pid 30010 exit signal Segmentation fault (11), possible coredump in /etc/apache2
> [Tue Jun 25 05:37:31.301667 2019] [core:notice] [pid 30009:tid 139990993176448] AH00051: child pid 30221 exit signal Segmentation fault (11), possible coredump in /etc/apache2
> • 2application error log
>
> [Tue Jun 25 05:37:30.752801 2019] [wsgi:error] [pid 30221:tid 139990869788416] 2019-06-25 05:37:30,752 INFO [ckan.config.environment] Loading static files from public
> [Tue Jun 25 05:37:30.821160 2019] [wsgi:error] [pid 30221:tid 139990869788416] 2019-06-25 05:37:30,821 INFO [ckan.config.environment] Loading templates from /usr/lib/ckan/default/src/ckan/ckan/templates
> [Tue Jun 25 05:37:30.978364 2019] [wsgi:error] [pid 30014:tid 139990768023296] [client 106.220.190.162:8293] Truncated or oversized response headers received from daemon process 'ckan_default': /etc/ckan/default/apache.wsgi
>
>
>
>
>
>
>
> --
> Regards
> Nitin Kadam
> (9967688959)
>
>
> --
> Regards
> Nitin Kadam
> (9967688959)
>
>
> --
> Regards
> Nitin Kadam
> (9967688959)


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org